%define _voskdir %{_datadir}/vosk-models/

%ifarch x86_64
%define _bit %(getconf LONG_BIT)
%endif

Name:		nocomprendo
Version:	2.7
Release:	%mkrel 1
Summary:	Voice command, dictation and text to speech for Linux
License:	GPL-3.0
Group:		Accessibility
Url:		https://invent.kde.org/beroot/nocomprendo
Source0:	https://be.root.free.fr/soft/%{name}/%{name}-%{version}.tar.gz
Patch0:		nocomprendo-libvosk.patch

BuildRequires:	bison
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	vosk-devel

Requires:	dotool
Requires:	polkit
Requires:	python3dist(vosk)
Requires:	sox
Requires:	svox-pico

%description
Voice command, dictation and text to speech for Linux.
Based on Qt for GUI, Vosk for voice recognition and
svox-pico for speech synthesis.

%prep
%autosetup -p1

%build
%qmake_qt6
%__make -j12

%install
mkdir -p %{buildroot}%{_voskdir}
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%attr(755, root, root) %{_voskdir}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/%{name}*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Feb 14 2025 daviddavid <daviddavid> 2.7-1.mga10
+ Revision: 2148854
- new version: 2.7

* Tue Feb 11 2025 daviddavid <daviddavid> 2.6-1.mga10
+ Revision: 2146852
- new version: 2.6
- rebuild with fixed rel
- new version: 2.2
- switch to Qt6

* Sat May 11 2024 daviddavid <daviddavid> 1.2.0-4.mga10
+ Revision: 2063728
- fix build undefining hardened_build

* Sun Apr 03 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1842127
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1659133
- Rebuild for new Qt5

* Sun Aug 30 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1619779
- new version: 1.2.0
- new version: 1.1.4

* Thu Feb 27 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1550956
- new version: 1.1.0

* Thu Feb 20 2020 umeabot <umeabot> 1.0.6-2.mga8
+ Revision: 1547288
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 1.0.6-1.mga8
+ Revision: 1487817
- initial package nocomprendo

